# SUI - Label

The Label is the name of the associated field, that explains what is the about. It should be clear, concise and short.

It is positioned at the top or left side of the field, as needed or required for the responsive rules.

|   Status          | Done |
|   :----           |   :---- |
|   Current version |   1.0|
|   Category        |   Atom |
|   Owners          |   UX @David G, @Daniel P  |

## Responsive & Visual

When a left side label is displayed on a small mobile screen, it must be relocated in top position.
Small mobile screens are determined by each vertical breakpoint.

![](https://d2mxuefqeaa7sj.cloudfront.net/s_2C2D91B22DA0B9C75B2C1B2A02CEE24250D0DA9CA7C42765FC0C6A8FF6E1AB73_1509358567673_label-structure.png)

## Optional input

By default, (best practices) the form will only ask the user for the required fields (the mandatories). Therefore, only the optional fields will be marked.
The way to do this will be with the text "(optional)" next to the Label. We recommend using a different shade of the label color to separate it from the main label.

![](https://d2mxuefqeaa7sj.cloudfront.net/s_2C2D91B22DA0B9C75B2C1B2A02CEE24250D0DA9CA7C42765FC0C6A8FF6E1AB73_1509358579504_label-types.png)

## Accessibility

This component should support the recommendations that appear on the [Accessibility & Inclusion Guidelines](https://github.com/SUI-Components/UX-Definitions/blob/master/Accessibility%20and%20Inclusion%20Guidelines.md).

For this component it is recommended to pay special attention to the following recommendations:

16. Text should always be displayed as text

## Links

Include useful links here (Zeplin, Tokens, Other components, etc).

## Specific notes per vertical

If relevant, include more details for each of the themes

- Vibbo
- CarFactory
- ePreselec
- Fotocasa
- Habitaclia
- Inmofactory
- Infojobs
- Milanuncios
- Motor: https://zpl.io/bzn16A3

## Changelog

### Version 1.0

- Component definition